@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700&display=swap');

html, body {
  background-color: #fff;
  color: black; /* #636b6f; */
  font-family: 'Montserrat', sans-serif;
  margin: 0;
  line-height: 1.4;
}

.full-height {
  height: 100vh;
}

.header-image-container {
  width: 100%;
  height: 800px;
  background-color: white;
  overflow: hidden;
  position: relative;
}

.header-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.logo-bar {
  width: 100%;
  padding: 25px 0;
  text-align: center;
}

.logo-bar img {
  width: 80px;
  height: 80px;
  object-fit: contain;
  object-position: center center;
  margin-top: 5px;
}

#map {
  width: 300px;
  height: 300px;
  border-radius: 50%;
  border: 5px solid white;
  box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.15);
  position: absolute;
  left: 50%;
  transform: translate(-50%, -33%);
  z-index: 10;
}

.container {
  padding: 20px;
  margin-top: 220px;
}

.container a {
  color: blue;
  text-decoration: none;
  font-weight: normal;
}

.container a:visited {
  color: blue;
}

.station-info h2 {
  margin: 10px 0px 0px 0px;
  font-weight: normal;
}

.station-info p {
  margin: 0px;
}

.chargepoints {
  margin-top: 20px;
}

.chargepoints h3 {
  margin-bottom: 10px;
}

.chargepoints ul {
  list-style-type: none;
  padding: 0;
}

.chargepoints li {
  margin-bottom: 0px;
}

.info-block {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}

.info-block h4 {
  margin: 10px 0px 0px 0px;
  text-align: left;
  font-weight: normal;
  font-size: 16px;
  color: gray;
}

.info-block p {
  margin: 0px 0px 10px 0px;
  text-align: left;
}

.info-block .icon {
  display: block;
  margin: 10px 0px 0px 0px;
  margin-left: auto;
  padding-left: 10px;
}

.info-block .icon img {
  width: 24px;
  height: 24px;
  object-fit: contain;
  display: block;
}

.info-text {
  flex-grow: 1;
}

.amenities {
  margin: 0 0 10px 0;
}

.amenities ul {
  list-style-type: none;
  padding: 0;
  margin: 0 0 0 0;
}

.amenities li {
  margin-bottom: 0px;
}

.spacing {
  margin-top: 20px;
}

.hr-line {
  border: none;
  border-top: 0.25px solid lightgray;
  margin: 0 0 20px;
}

.photos-block h4 {
    margin: 10px 0px 0px 0px;
    text-align: left;
    font-weight: normal;
    font-size: 16px;
    color: gray;
}

.station-photo {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 5px;
}

.copyrights {
  color: gray;
  line-height: 1.1;
}

.advertiser {
  width: 100%;
  background-color: #f1f1f1;
  padding-top: 40px;
  padding-bottom: 20px;
}

.advertiser-text {
  text-align: center;
  font-weight: lighter;
  padding-left: 15%;
  padding-right: 15%;
}
.advertiser-text h2 {
  text-transform: uppercase;
  margin-bottom: 10px;
  font-size: 40px;
  font-weight: normal;
}

.advertiser-text h3 {
  margin-top: 5px;
  font-size: 22px;
  font-weight: normal;
}

.advertiser-text h3 {
  margin-top: 5px;
  font-size: 22px;
  font-weight: lighter;
}

.advertiser-text p {
  line-height: 1.8;
}

.advertiser-text a {
  color: black;
  text-decoration: none;
  font-weight: normal;
}

.advertiser-text a:visited {
  color: black;
}

.appstore-logo {
  display: flex;
  justify-content: center;
  margin-top: 20px;
  margin-bottom: 5px;
}

.appstore-logo svg {
  width: 158px;
  height: 53px;
}

.advertiser-text small {
  display: block;
  font-size: 14px;
}

.footer {
  text-align: center;
  padding: 20px;
  color: black;
  font-size: 18px;
}

.footer p {
  font-size: 13px;
  margin: 10;
}

.footer a {
  color: black;
  text-decoration: none;
  font-weight: normal;
}

.footer a:visited {
  color: black;
}
